<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pd@A0051=99999999</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@A35A2=59</action>
    </script>
  </cheat>

  <cheat desc="Finish this level Now!">
    <script state="on">
      <action>maincpu.pb@A35A0=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@A0BBB=09</action>
    </script>
  </cheat>

  <cheat desc="No Speed Limit PL1">
    <script state="run">
      <action>maincpu.pb@A0BBC=00</action>
    </script>
  </cheat>

  <cheat desc="Maximum Speed PL1">
    <script state="run">
      <action>maincpu.pb@A109C=A0</action>
    </script>
  </cheat>

  <cheat desc="Maximum Flame Length PL1">
    <script state="run">
      <action>maincpu.pb@A0BBE=07</action>
    </script>
  </cheat>

  <cheat desc="Maximum Bombs PL1">
    <script state="run">
      <action>maincpu.pb@A0BC0=08</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@A10A8=20|(maincpu.pb@A10A8 BAND ~20)</action>
    </script>
    <script state="off">
      <action>maincpu.pb@A10A8=00|(maincpu.pb@A10A8 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Always have Normal Bombs PL1">
    <script state="run">
      <action>maincpu.pb@A0BC1=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Manual Bombs PL1">
    <script state="run">
      <action>maincpu.pb@A0BC1=FF</action>
    </script>
  </cheat>

  <cheat desc="Get Normal Bombs Now! PL1">
    <script state="on">
      <action>maincpu.pb@A0BC1=00</action>
    </script>
  </cheat>

  <cheat desc="Get Manual Bombs Now! PL1">
    <script state="on">
      <action>maincpu.pb@A0BC1=FF</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@A0BCB=09</action>
    </script>
  </cheat>

  <cheat desc="No Speed Limit PL2">
    <script state="run">
      <action>maincpu.pb@A0BCC=00</action>
    </script>
  </cheat>

  <cheat desc="Maximum Speed PL2">
    <script state="run">
      <action>maincpu.pb@A10DC=A0</action>
    </script>
  </cheat>

  <cheat desc="Maximum Flame Length PL2">
    <script state="run">
      <action>maincpu.pb@A0BCE=07</action>
    </script>
  </cheat>

  <cheat desc="Maximum Bombs PL2">
    <script state="run">
      <action>maincpu.pb@A0BD0=08</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@A10E8=20|(maincpu.pb@A10E8 BAND ~20)</action>
    </script>
    <script state="off">
      <action>maincpu.pb@A10E8=00|(maincpu.pb@A10E8 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Always have Normal Bombs PL2">
    <script state="run">
      <action>maincpu.pb@A0BD1=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Manual Bombs PL2">
    <script state="run">
      <action>maincpu.pb@A0BD1=FF</action>
    </script>
  </cheat>

  <cheat desc="Get Normal Bombs Now! PL2">
    <script state="on">
      <action>maincpu.pb@A0BD1=00</action>
    </script>
  </cheat>

  <cheat desc="Get Manual Bombs Now! PL2">
    <script state="on">
      <action>maincpu.pb@A0BD1=FF</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL3">
    <script state="run">
      <action>maincpu.pb@A0BDB=09</action>
    </script>
  </cheat>

  <cheat desc="No Speed Limit PL3">
    <script state="run">
      <action>maincpu.pb@A0BDC=00</action>
    </script>
  </cheat>

  <cheat desc="Maximum Speed PL3">
    <script state="run">
      <action>maincpu.pb@A111C=A0</action>
    </script>
  </cheat>

  <cheat desc="Maximum Flame Length PL3">
    <script state="run">
      <action>maincpu.pb@A0BDE=07</action>
    </script>
  </cheat>

  <cheat desc="Maximum Bombs PL3">
    <script state="run">
      <action>maincpu.pb@A0BE0=08</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL3">
    <script state="run">
      <action>maincpu.pb@A1128=20|(maincpu.pb@A1128 BAND ~20)</action>
    </script>
    <script state="off">
      <action>maincpu.pb@A1128=00|(maincpu.pb@A1128 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Always have Normal Bombs PL3">
    <script state="run">
      <action>maincpu.pb@A0BE1=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Manual Bombs PL3">
    <script state="run">
      <action>maincpu.pb@A0BE1=FF</action>
    </script>
  </cheat>

  <cheat desc="Get Normal Bombs Now! PL3">
    <script state="on">
      <action>maincpu.pb@A0BE1=00</action>
    </script>
  </cheat>

  <cheat desc="Get Manual Bombs Now! PL3">
    <script state="on">
      <action>maincpu.pb@A0BE1=FF</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL4">
    <script state="run">
      <action>maincpu.pb@A0BEB=09</action>
    </script>
  </cheat>

  <cheat desc="No Speed Limit PL4">
    <script state="run">
      <action>maincpu.pb@A0BEC=00</action>
    </script>
  </cheat>

  <cheat desc="Maximum Speed PL4">
    <script state="run">
      <action>maincpu.pb@A115C=A0</action>
    </script>
  </cheat>

  <cheat desc="Maximum Flame Length PL4">
    <script state="run">
      <action>maincpu.pb@A0BEE=07</action>
    </script>
  </cheat>

  <cheat desc="Maximum Bombs PL4">
    <script state="run">
      <action>maincpu.pb@A0BF0=08</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL4">
    <script state="run">
      <action>maincpu.pb@A1168=20|(maincpu.pb@A1168 BAND ~20)</action>
    </script>
    <script state="off">
      <action>maincpu.pb@A1168=00|(maincpu.pb@A1168 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Always have Normal Bombs PL4">
    <script state="run">
      <action>maincpu.pb@A0BF1=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Manual Bombs PL4">
    <script state="run">
      <action>maincpu.pb@A0BF1=FF</action>
    </script>
  </cheat>

  <cheat desc="Get Normal Bombs Now! PL4">
    <script state="on">
      <action>maincpu.pb@A0BF1=00</action>
    </script>
  </cheat>

  <cheat desc="Get Manual Bombs Now! PL4">
    <script state="on">
      <action>maincpu.pb@A0BF1=FF</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
